c:stack 32768
c:Assign lise: ""
c:Echo "Initializing. Please be patient..."
; lise:LISESET MAXSPCLEN=1024
run >nil: <nil: lise:TekAmiga
wait 5
lise:tpo 100 2700 -xs 20 -ys 20 -font lise:fonts/trip.chr -t "Welcome to LISE !"
wait 2
lise:tpo 100 2300 -xs 16 -ys 16 -font lise:fonts/sans.chr -t "Let's start with some"
lise:tpo 100 1800 -t "Demos."
lise:tpo 100 1300 -t "Try to adjust the size"
lise:tpo 100 800  -t "of this window"
lise:tpo 100 300  -t "USE AN INTERLACE WB !"
wait 5
lise:pag
lise:tpo 100 2800 -xs 12 -ys 12 -font lise:fonts/trip.chr -t "proportional:  ABCijgx"
lise:tpo 100 2500 -t " and Normal:\0 ABCijgx"
lise:tpo 100 1800  -xs 20 -ys 20 -font lise:fonts/goth.chr -t "Gothic"
lise:tpo 1300 1800 -xs 20 -ys 20 -font lise:fonts/sans.chr -t "Sansserif"
lise:tpo 3100 1800 -xs 20 -ys 20 -font lise:fonts/scri.chr -t "Scribt"
lise:tpo 500 1500 -xs 12 -ys 12 -font lise:fonts/trip.chr -t "Switch to Greek letters:"
lise:tpo 1000 1300  -t "\2abcdefghijklm"
lise:tpo 1000 1100  -t "\2nopqrstuvwxyz"
lise:tpo 1000 900   -t "\2ABCDEFGHIJKLM"
lise:tpo 1000 700   -t "\2NOPQRSTUVWXYZ"
lise:tpo 100 300 -xs 10 -ys 10 -t "\1Mix\udifferent\d\dstyles\u\2abc\1 and symbols"
wait 5
lise:pag
lise:tpo 1000 2300 -xs 6  -ys 6  -t "Vector Fonts"
lise:tpo 900  2200 -xs 8  -ys 8  -t "Vector Fonts"
lise:tpo 800  2100 -xs 10 -ys 10 -t "Vector Fonts"
lise:tpo 600  1900 -xs 14 -ys 14 -t "Vector Fonts"
lise:tpo 400  1700 -xs 16 -ys 16 -t "Vector Fonts"
lise:tpo 1300 500  -xs 10 -ys 10 -w 0  -t "Vector Fonts"
lise:tpo 1300 500  -xs 10 -ys 10 -w 30 -t "Vector Fonts"
lise:tpo 1300 500  -xs 10 -ys 10 -w 60 -t "Vector Fonts"
lise:tpo 1300 500  -xs 10 -ys 10 -w 90 -t "Vector Fonts"
wait 5
lise:pag
lise:tpo 300 2500 -xs 12 -ys 12 -t "Drawing primitives:"
lise:vect  200  200  200 1200
lise:vect  200 1200 1200 2200
lise:vect 1200 2200 2200 1200
lise:vect 2200 1200 2200  200
lise:vect 2200  200  200  200
lise:vect  200  200 2200 1200
lise:vect 2200 1200  200 1200
lise:vect  200 1200 2200  200
lise:point 3000 2300 -crf 400
wait 5
lise:pag
lise:tpo 100 1500 -xs 16 -ys 16 -t "Display spectra in"
lise:tpo 100 1000 -t "different styles:"
wait 5
lise:pag
lise:tpo 100 1500 -xs 26 -ys 26 -t "Starting with a"
lise:tpo 100 1000               -t "raw display"
wait 5
lise:tsf -xs 6 -ys 6
lise:ash br772 -pag -b -y -0.05 +y 0.05
wait 5
lise:pag
lise:tpo 100 1500 -xs 26 -ys 26 -t "Zoom in"
wait 5
lise:tsf -xs 6 -ys 6
lise:ash br772[0:80]   -pag -b -y -0.05 +y 0.05 -2
lise:ash br772[80:160]      -b -y -0.05 +y 0.05 -1
wait 5
lise:pag
lise:tpo 100 1500 -xs 26 -ys 26 -t "Final Output:"
wait 5
lise:tsf -xs 8 -ys 8
lise:ash br772[0:100] -pag -b -c -y -0.05 +y 0.05 -cn -zero -mb 400
lise:ash br772fit[0:100] -use -v -xn -yn -cn
lise:tpo 1000 2700 -xs 12 -ys 12 -t "Final analysis of \u77\dBr in Ni"
lise:tpo 300  1500 -xs 8 -ys 8 -w 90 -t "R(t)"
lise:tpo 1500 50  -w 0  -t "time [ns]"
wait 5
lise:pag
lise:tpo 100 2500 -xs 12 -ys 12 -t "Generating two frequencies:"
lise:tsf -xs 6 -ys 6
lise:scalc ram:sin2[0:1023]=10*sin(lin*0.06)+5*sin(lin*0.04)
lise:ash ram:sin2 -v -y -15 +y +15 -zero -5
lise:tpo 100 2300 -xs 12 -ys 12 -t "Fourier analysis:"
lise:tsf -xs 6 -ys 6
lise:four ram:sin2 -o ram:four
lise:ash ram:four[0:25] -v -6
c:delete ram:sin2#?
c:delete ram:four#?

